Debian Bug report logs - #685863
dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: guillaumeseren@gmail.com

Date: Sat, 25 Aug 2012 15:27:01 UTC

Severity: normal

Found in version dpkg/1.16.8

Fixed in version dpkg/1.16.9

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Sat, 25 Aug 2012 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Seren <guillaumseren@gmail.com>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 25 Aug 2012 15:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Seren <guillaumseren@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Sat, 25 Aug 2012 16:42:32 +0200
Package: dpkg
Version: 1.16.8
Severity: normal

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
Playing with multiarch.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
Checking the #multiarch irc chan, and someone help me to get that a s was
missing.

   * What was the outcome of this action?
Failing to check that the multiarch process is ok.

   * What outcome did you expect instead?
Checking that, multiarch is enabled and ok.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (980, 'stable-updates'), (980, 'testing'), (970, 'stable'), (90, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg depends on:
ii  libbz2-1.0   1.0.6-4
ii  libc6        2.13-35
ii  liblzma5     5.1.1alpha+20120614-1
ii  libselinux1  2.1.9-5
ii  tar          1.26-4
ii  zlib1g       1:1.2.7.dfsg-13

dpkg recommends no packages.

Versions of packages dpkg suggests:
ii  apt  0.9.7.4

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Sat, 25 Aug 2012 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 25 Aug 2012 19:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 685863@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Guillaume Seren <guillaumseren@gmail.com>, 685863@bugs.debian.org
Subject: Re: Bug#685863: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Sat, 25 Aug 2012 21:08:30 +0200
Hi!

On Sat, 2012-08-25 at 16:42:32 +0200, Guillaume Seren wrote:
> Package: dpkg
> Version: 1.16.8
> Severity: normal
> 
>    * What led up to the situation?
> Playing with multiarch.
> 
>    * What exactly did you do (or not do) that was effective (or
>      ineffective)?
> Checking the #multiarch irc chan, and someone help me to get that a s was
> missing.
> 
>    * What was the outcome of this action?
> Failing to check that the multiarch process is ok.
> 
>    * What outcome did you expect instead?
> Checking that, multiarch is enabled and ok.

I'm not sure I understand what the problem being reported here is, but
from the mail subject I'd guess you typed:

  $ dpkg --print-foreign-architecture

and that didn't work (due to missing trailing ‘s‘)?

If so then you just need to type the correct option name, if this was
due to command-line auto-completion then this should get reassigned to
whatever package is handling your shell auto-completion (depending on
your shell used).

thanks,
guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Sun, 26 Aug 2012 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 26 Aug 2012 15:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 685863@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Guillem Jover <guillem@debian.org>, 685863@bugs.debian.org
Cc: Guillaume Seren <guillaumseren@gmail.com>
Subject: Re: Bug#685863: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Sun, 26 Aug 2012 17:04:46 +0200
On Sat, 25 Aug 2012, Guillem Jover wrote:
> I'm not sure I understand what the problem being reported here is, but
> from the mail subject I'd guess you typed:
> 
>   $ dpkg --print-foreign-architecture
> 
> and that didn't work (due to missing trailing ‘s‘)?
> 
> If so then you just need to type the correct option name, if this was
> due to command-line auto-completion then this should get reassigned to
> whatever package is handling your shell auto-completion (depending on
> your shell used).

I just checked here and I have the same problem with bash-completion but
bash-completion apparently parses the output of dpkg --help.

The error is really in dpkg's French usage string:
po/fr.po:"  --print-foreign-architecture       Afficher les architectures inconnues\n"

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2012 15:09:09 GMT) Full text and rfc822 format available.

Message sent on to Guillaume Seren <guillaumseren@gmail.com>:
Bug#685863. (Sun, 26 Aug 2012 15:09:17 GMT) Full text and rfc822 format available.

Message #20 received at 685863-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 685863-submitter@bugs.debian.org
Subject: Bug#685863 marked as pending
Date: Sun, 26 Aug 2012 15:05:18 +0000
tag 685863 pending
thanks

Hello,

Bug #685863 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=fe51a30

---
commit fe51a303771afb1f21346fa0b5dcaef1b3189d97
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Aug 26 17:04:34 2012 +0200

    Fix dpkg's French usage string for --print-foreign-architectures
    
    It was missing the final “s” and this resulted in a bad bash
    auto-completion.
    
    Reported-by: Guillaume Seren <guillaumseren@gmail.com>
    Closes: #685863

diff --git a/debian/changelog b/debian/changelog
index 19d9914..cf24feb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,8 @@ dpkg (1.16.9) UNRELEASED; urgency=low
   * Fix dpkg-source regression in "3.0 (quilt)" source packages while
     unapplying patches that remove all files in a directory. Closes: #683547
   * Fix segfault of “dpkg-query -W -f ''”.
+  * Fix dpkg's French usage string which was missing the final “s“ in
+    --print-foreign-architectures. Closes: #685863
 
   [ Updated programs translations ]
   * Czech (Miroslav Kure).



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Mon, 03 Sep 2012 11:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Seren <guillaumeseren@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 03 Sep 2012 11:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 685863@bugs.debian.org (full text, mbox):

From: Guillaume Seren <guillaumeseren@gmail.com>
To: 685863@bugs.debian.org
Subject: Re: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Mon, 03 Sep 2012 13:43:11 +0200
Hi,
I just released that my mail, was misspelled, in my .reportbugrc, the
good one is : guillaumeseren@gmail.com .

My bash version is : "GNU bash, version 4.2.37(1)-release
(x86_64-pc-linux-gnu)".

I patch the source, (from the git diff) and install it again,
but, the completion, seems to behave the same,
do you have a specific process, after, installing, the patched dpkg,
to get to right completion ?

Thanks and regards,
Guillaume.



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Mon, 03 Sep 2012 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 03 Sep 2012 12:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 685863@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Guillaume Seren <guillaumeseren@gmail.com>, 685863@bugs.debian.org
Subject: Re: Bug#685863: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Mon, 3 Sep 2012 14:02:01 +0200
Control: submitter -1 guillaumeseren@gmail.com

On Mon, 03 Sep 2012, Guillaume Seren wrote:
> I just released that my mail, was misspelled, in my .reportbugrc, the
> good one is : guillaumeseren@gmail.com .

Fixing in the BTS.

> I patch the source, (from the git diff) and install it again,
> but, the completion, seems to behave the same,
> do you have a specific process, after, installing, the patched dpkg,
> to get to right completion ?

No, there's nothing special to do. You can try to install the packages
which are auto-built from git:
http://jenkins.grml.org/view/Debian/job/dpkg-binaries/

Here's the current .deb for dpkg on amd64:
http://jenkins.grml.org/view/Debian/job/dpkg-binaries/architecture=amd64/116/artifact/dpkg_1.16.9%7E1345993535.132_amd64.deb

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Changed Bug submitter to 'guillaumeseren@gmail.com' from 'Guillaume Seren <guillaumseren@gmail.com>' Request was from Raphael Hertzog <hertzog@debian.org> to 685863-submit@bugs.debian.org. (Mon, 03 Sep 2012 12:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#685863; Package dpkg. (Mon, 03 Sep 2012 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Seren <guillaumeseren@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 03 Sep 2012 13:51:05 GMT) Full text and rfc822 format available.

Message #37 received at 685863@bugs.debian.org (full text, mbox):

From: Guillaume Seren <guillaumeseren@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 685863@bugs.debian.org
Subject: Re: Bug#685863: dpkg: The auto complete fail, for dpkg --print-foreign-architecture, end to unknown option.
Date: Mon, 03 Sep 2012 15:49:18 +0200
On 03/09/2012 14:02, Raphael Hertzog wrote:
> Control: submitter -1 guillaumeseren@gmail.com
> 
> On Mon, 03 Sep 2012, Guillaume Seren wrote:
>> I just released that my mail, was misspelled, in my .reportbugrc, the
>> good one is : guillaumeseren@gmail.com .
> 
> Fixing in the BTS.
Thank you, I am running after the reports to fix that.

> Here's the current .deb for dpkg on amd64:
> http://jenkins.grml.org/view/Debian/job/dpkg-binaries/architecture=amd64/116/artifact/dpkg_1.16.9%7E1345993535.132_amd64.deb
I have tested this package,
it fix the completion problem.

Thanks and regards,
Guillaume.



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 20 Oct 2012 05:36:32 GMT) Full text and rfc822 format available.

Notification sent to guillaumeseren@gmail.com:
Bug acknowledged by developer. (Sat, 20 Oct 2012 05:36:32 GMT) Full text and rfc822 format available.

Message #42 received at 685863-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 685863-close@bugs.debian.org
Subject: Bug#685863: fixed in dpkg 1.16.9
Date: Sat, 20 Oct 2012 05:32:34 +0000
Source: dpkg
Source-Version: 1.16.9

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Oct 2012 05:59:50 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.9
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 682582 682978 683104 683221 683411 683514 683547 684776 685103 685297 685677 685863 686421 686995 687002 687656 688050 688416 689820 689836 689863 690415 690426 690431 690449 690678 690808 690823
Changes: 
 dpkg (1.16.9) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-source regression in "3.0 (quilt)" source packages while
     unapplying patches that remove all files in a directory. Closes: #683547
   * Fix segfault in field format parsing on empty strings, affecting
     «dpkg-query -W -f ''» and «dpkg-deb -W --showformat=''». LP: #1035512
   * Fix dpkg's French usage string which was missing the final “s“ in
     --print-foreign-architectures. Closes: #685863
 .
   [ Guillem Jover ]
   * Use “statoverrides” instead of “statusoverrides” in dpkg-statoverride.
     Closes: #686995
   * Comment out dpkg(1) documentation about disabled --command-fd option.
     Closes: #685677
   * Cleanup dpkg-divert unit-test environment to avoid build failures.
     Closes: #687656
   * Fix update-alternatives test suite to behave correctly on non-Debian
     binary paths. Known to be affecting at least Gentoo and Mac OS X.
   * Do not leak subcall command arguments in update-alternatives.
   * Fix segfault on update-alternatives when passing --slave without any
     action at all. LP: #1037431
   * Fix memory leak in dpkg filesavespackage().
   * Do not print garbage (or worse) on dpkg shared conffile debug output.
   * Use a hash instead of a ref to a hash for keys() in Dpkg::BuildFlags
     get_feature_areas(). This causes compilation failures with older perl
     versions, which can be an issue with partial upgrades.
   * Fix filter subpattern debug output format string to print an actual
     value instead of just blanks.
   * Ignore trailing filter subpattern slashes on reinclusion comparison.
     This makes sure to reinclude directories previously excluded so that
     contained files marked for inclusion do not fail to unpack due to a
     missing directory. Closes: #688416
   * Do not consider obsolete conffiles as actively owned by the package.
     This ensures conffile entries are not misshandled nor mixed up when
     configuring packages owning the non-obsolete conffiles. Closes: #689836
     Based on a patch by Andreas Beckmann <debian@abeckmann.de>.
   * Properly mark in the database obsolete conffiles on package replaces.
   * Sync the Conffiles field values for all package instances. Because
     only the first package instance being configured will have a *.dpkg-new
     conffile available to be processed, the subsequent ones need to use the
     hash from the previously processed entries.
   * Fix logic for previously configured conffiles, so that the shared
     conffile checks actually work on reinstallation. Closes: #684776
   * Avoid info database corruption and bogus accesses on unknown format
     values, by always reading the format file and validating it.
   * Clarify that the most probable reason for multiarch database
     inconcistencies is due to upgrades from unofficial dpkg versions.
   * Only satisfy a dependency on a “Multi-Arch: foreign” if arch-unqualified.
   * Take architecture into account in virtual packages on remove and
     configure dpkg actions. Closes: #683411
   * Update update-alternatives --query format and examples in man page to
     match the implementation.
   * Add two missing 3rd person ‘s’ in dpkg-gensymbols(1). Closes: #689863
     Thanks to Paul Menzel <pm.debian@googlemail.com>.
   * Fix regression on old-style binNMUs for packages that specify an
     explicit binary version to dpkg-gencontrol, by always fixing up the
     source version. Closes: #690823
 .
   [ Updated programs translations ]
   * Catalan (Guillem Jover).
   * Czech (Miroslav Kure).
   * Danish (Joe Dalton). Closes: #690808
   * French (Christian Perrier).
   * German (Sven Joachim).
   * Italian (Milo Casagrande).
   * Japanese (Kenshi Muto).
   * Polish (Michał Kułach). Closes: #690449
   * Portuguese (Miguel Figueiredo). Closes: #682582, #690431
   * Russian (Yuri Kozlov). Closes: #688050, #690415
   * Slovak (Ivan Masár). Closes: #690426
   * Swedish (Peter Krefting).
   * Thai (Theppitak Karoonboonyanan). Closes: #690678
   * Traditional Chinese (imacat). Closes: #687002
 .
   [ Updated scripts translations ]
   * Polish (Michał Kułach). Closes: #683104
   * Spanish (Omar Campagne). Closes: #685297
 .
   [ Updated dselect translations ]
   * Basque (Iñaki Larrañaga Murgoitio). Closes: #686421
   * Czech (Miroslav Kure).
   * Danish (Joe Dalton). Closes: #689820
   * Polish (Michał Kułach).
 .
   [ Updated man page translations ]
   * French (Thomas Vincent, Sylvestre Ledru, Christian Perrier).
     Closes: #682978, #683221
   * German (Helge Kreutzmann).
   * Japanese (Hideki Yamane). Closes: #685103
   * Polish (Michał Kułach).
   * Spanish (Omar Campagne, Guillem Jover). Closes: #683514
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 a2c07bdb82ccedfcb39d723ba027c5a4aa2129b2 1372 dpkg_1.16.9.dsc
 c48dd955f77afdc5eca959b96265b65cfddd665c 3697752 dpkg_1.16.9.tar.xz
 440a5b7dcb214806cc33e176047f38c343fe03d9 683802 libdpkg-dev_1.16.9_amd64.deb
 274eb53df3dc169bfd8cf5b28ff881c81fecb62f 2560574 dpkg_1.16.9_amd64.deb
 8c07b71368e1106c1351261b3209a2044137dc69 1139408 dselect_1.16.9_amd64.deb
 957f7176c9c49cf49cf544d5e126b6fc687b1fa8 1284714 dpkg-dev_1.16.9_all.deb
 ccf04b508ff8ebaef80dfd124648a5609282a82f 945662 libdpkg-perl_1.16.9_all.deb
Checksums-Sha256: 
 a492260b9e89b22d45b880e0bab6ef9377924e7959bac4bd855a3187b0211146 1372 dpkg_1.16.9.dsc
 73cd7fba4e54acddd645346b4bc517030b9c35938e82215d3eeb8b4e7af26b7a 3697752 dpkg_1.16.9.tar.xz
 b6c2ea087b4adb60f2191c5d31ee6cd00124f506310ac518efedec3e81942a62 683802 libdpkg-dev_1.16.9_amd64.deb
 4c76dedc1f2034db55290bb0383bfa9fead04529d5e0120d4eed1484928f8007 2560574 dpkg_1.16.9_amd64.deb
 a5f31f92267ca9aeeba62a56fdaabb2c4128c339dc77fbc5d9132d717c0c1fa6 1139408 dselect_1.16.9_amd64.deb
 bad74f181cd4f3141d77cfeab38e6c3acf522a4561cc9f584d16306a22734c99 1284714 dpkg-dev_1.16.9_all.deb
 cd8cd00d1c0967afbdfc0bc438ed096886be66454415b26de39335102a1c0307 945662 libdpkg-perl_1.16.9_all.deb
Files: 
 0039f955d73857978e10d32b35288c6d 1372 admin required dpkg_1.16.9.dsc
 4df9319b2d17e19cdb6fe94dacee44da 3697752 admin required dpkg_1.16.9.tar.xz
 22d31dbc426fda5fb6f654392d9e17f0 683802 libdevel optional libdpkg-dev_1.16.9_amd64.deb
 3d3a605e2aa043e4994b15bb8c507977 2560574 admin required dpkg_1.16.9_amd64.deb
 e9d13809f18ac4c1ad4c81ee545d2c72 1139408 admin optional dselect_1.16.9_amd64.deb
 fcbb110845d049570bb375a00f7dcc61 1284714 utils optional dpkg-dev_1.16.9_all.deb
 4bb2ffb948ce93d329795fac6ddc5a3b 945662 perl optional libdpkg-perl_1.16.9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCCLP4ACgkQuW9ciZ2SjJvEWwCfWHivEoGLMHDGYJTTv12Xd7x1
nDsAoPB9nO02ri8r6sHGHDyLh05qJsIB
=CQKA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Nov 2012 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:20:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.